Loading...
Searching...
No Matches
AudioWaveformer.h File Reference

Header file for AudioWaveformer class. More...

`#include "ReaderBase.h"`
`#include "Frame.h"`
`#include <vector>`

Go to the source code of this file.

## Classes

struct | openshot::AudioWaveformData
| This struct holds the extracted waveform data (both the RMS root-mean-squared average, and the max values) More...
class | openshot::AudioWaveformer
| This class is used to extra audio data used for generating waveforms. More...

## Namespaces

namespace | openshot
| This namespace is the default namespace for all code in the openshot library.

## Detailed Description

Header file for AudioWaveformer class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file AudioWaveformer.h.